
/* 1. Як можна оголосити змінну у Javascript?

    Переменную можно объявить с помощью 3-х ключевых команд, это - var, let, const: 
 1) var - имеет глобальную область видимости, например если повторно объявить такую переменную внутри какогото блока и присвоить ей значение, 
    то это значение перезапишет значение в переменной за пределами этого блока; 
 2) let - (синтаксис ES6) - переменная которая доступна только в пределах своего блока. 
    Впределах разных блоков можна создавать переменные с одинаковым названием, которые ни как не будут влиять друг на друга. 
    Значение переменных созданный с помощью let можно перезаписывать.
 3) const - (синтаксис ES6) - имеет такую же область видимости, что и let. Отличается лишь тем, что их значения нелья перепресваивать, 
    также нельзя просто объявить константу не присвоив ей значение. Если в константу записывается массив или объект, то мы можем менять их внутренние свойства и значения.  
*/

/*  2. У чому різниця між функцією prompt та функцією confirm?

    Функция prompt вызывает модальное окно с полем для ввода (опционально можно добавить значение по умолчанию). 
  В результате взаимодействия пользователя с этим окном мы можем получить данные из инпута с типом "string" или "null", если ввод был отменен.
    Функция confirm вызывает модальное окно с вопросом, который мы передадим в качестве параметра и двумя кнопками ОК/Отмена. 
  В зависимости от того, что нажмет пользователь, результатом выполнения функции будет булевое значение true или false.  
*/

/*  3. Що таке неявне перетворення типів? Наведіть один приклад. 

    Неявное привидение типов происходит когда мы пытаемся произвести какае-то вычисления или взаимодействие, используя данные разных типов. 
  JS пытаясь предотвратить ошибку сам выполняет преобразование данных к наиболее подходящим, по своему усмотрению, типам. 
  На пример при выполнении операции умножения js пытается преобразовать все переметры в числа --> 5 * "5" = 25, 
  js видит, что первым идет число и пытается преобразовать второй параметр (строку) в число, и выдает результат.
  А в этом примере --> true + 5, js преобразовывает булевый тип в число и выводит результат = 6.      
*/

// 1 
let name;
let admin;

name = "Vitalii";
admin = name;

console.log(admin);

// 2
const days = 3;
const secondsInDay = 24 * 60 * 60;


console.log(`${days} days = ${days * secondsInDay} s`);

// 3
const favoritColor = prompt("Какой ваш любимый цвет?", "никакой");
console.log(favoritColor);









